# Get-RASPubItemStatus.md

## NAME

Get-RASPubItemStatus

## SYNOPSIS

Retrieves the status of one or multiple published resources session.

## SYNTAX

**Get-RASPubItemStatus** \[[GroupId](#groupid-string) *(uint)*] \[[Id](#id-string) *(uint)*] \[[IP](#ip-string) *(string)*] \[[Session](#session-string) *(uint)*] \[-[SessionType](#SessionType) {Desktop | PublishedApps | Application | VDI | VDIApp | PC | PCApp | Admin | Unknown | RemoteApps | DirectRDP | All}] \[[SiteId](#siteid-string) *(uint)*] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASPubItemStatus -[SessionHostId](#sessionhostid-string) *(string)* -[Source](#Source) {RDS | VDI | AVD | All} \[[GroupId](#groupid-string) *(uint)*] \[[IP](#ip-string) *(string)*] \[[Session](#session-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASPubItemStatus -[SessionHostName](#sessionhostname-string) *(string)* -[Source](#Source) {RDS | VDI | AVD | All} \[[GroupId](#groupid-string) *(uint)*] \[[IP](#ip-string) *(string)*] \[[Session](#session-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASPubItemStatus** \[[GroupId](#groupid-string) *(uint)*] \[[IP](#ip-string) *(string)*] \[[Session](#session-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Source](#Source) {RDS | VDI | AVD | All}] \[-[State](#State) {Active | Connected | ConnectQuery | Shadow | Disconnected | Idle | Listen | Reset | Down | Init | All}] \[[ThemeId](#themeid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the status of one or multiple published resources session.

## PARAMETERS

## Id (uint)

The app ID for which to retrieve the information (optional).

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SessionType ([SessionType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sessiontype.md))

The type of Remote Desktop Session.

Possible values: Desktop, PublishedApps, Application, VDI, VDIApp, PC, PCApp, Admin, Unknown, RemoteApps, DirectRDP, All

```
        Required?                    false

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Session (uint)

RAS session ID.

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID for which to retrieve the app status information (optional).

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Source ([RDSessionSource](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsessionsource.md))

Remote Desktop Session source for which to retrieve the app status information.

Possible values: RDS, VDI, AVD, All

```
        Required?                    true

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SessionHostId (string)

The Host ID of the server for which to retrieve the app status information (optional).

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SessionHostName (string)

The name of the host to filter the app status info list (optional).

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## State ([SessionState](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sessionstate.md))

The session state to filter the app status info list (optional).

Possible values: Active, Connected, ConnectQuery, Shadow, Disconnected, Idle, Listen, Reset, Down, Init, All

```
        Required?                    false

        Position?                    named

        Default value                All

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## User (string)

User to filter the app status info list (optional).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## IP (string)

The server IP Address to filter the app status info list (optional).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ThemeId (uint)

The Theme ID for which to retrieve the information (optional).

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GroupId (uint)

The RDS Group ID for which to retrieve the information (optional).

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[PubItemStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitemstatus.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubItemStatus

Retrieves the status of all the available published resources.\
\*\*---------- EXAMPLE 2 ----------

Get-RASPubItemStatus -Id 11

Retrieves the status of a published resource specified by ID.\
\*\*---------- EXAMPLE 3 ----------

Get-RASPubItemStatus -Source RDS

Retrieves the published resources status for the available RDS Sessions.\
\*\*---------- EXAMPLE 4 ----------

Get-RASPubItemStatus -Source RDS -SessionHost "MyServer"

Retrieves the published resources status for the RDS Sessions pertaining to the specified server.\
\*\*---------- EXAMPLE 5 ----------

Get-RASPubItemStatus -Source VDI -SiteId 1

Retrieves the published resources status for the VDI Sessions and SiteId 1.\
\*\*---------- EXAMPLE 6 ----------

Get-RASPubItemStatus -Source VDI -SessionHostId 1

Retrieves the published resources status for VDI Session and SessionHostId 1.

## RELATED LINKS

* [Get-RASPubItemStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitemstatus.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitemstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
